Bug 1463728 - Cannot retry a failed update
Cannot retry a failed update
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Lukas Bezdicka
Yurii Prokulevych
: Triaged, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-21 11:12 EDT by Yolanda Robla
Modified: 2017-08-28 08:53 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yolanda Robla 2017-06-21 11:12:23 EDT
Description of problem:

When doing a minor update from OSP 8, if that fails once, i cannot retry it. I got first failure because of a node not being registered, failing with error:

not_started: [u'overcloud-controller-0', u'overcloud-controller-1', u'overcloud-controller-2']
on_breakpoint: [u'overcloud-compute-0']
Breakpoint reached, continue? Regexp or Enter=proceed, no=cancel update, C-c=quit interactive mode: 
removing breakpoint on overcloud-compute-0
IN_PROGRESS
IN_PROGRESS
IN_PROGRESS
IN_PROGRESS
FAILED
update finished with status FAILED


    "deploy_stderr": "error: File not found by glob: ./*.rpm\nThere are no enabled repos.\n Run \"yum repolist all\" to see the repos you have.\n To enable Red Hat Subscription Management repositories:\n     subscription-manager repos --enable <repo>\n To enable custom repositories:\n     yum-config-manager --enable <repo>\n", 
    "update_managed_packages": "false", 
    "deploy_status_code": 1
  }, 
  "creation_time": "2017-06-21T13:05:20", 
  "updated_time": "2017-06-21T13:56:39"

I fixed that, and now all the nodes are registered. I can manually do yum update on them, and works.

But if i try to repeat the update command, i get a FAILED output, and no new deployments being created, no new error being registered, just that problem with subscription.

My update command is:

time openstack overcloud update stack overcloud -i   --templates    -e /usr/share/openstack-tripleo-heat-templates/overcloud-resource-registry-puppet.yaml   -e /usr/share/openstack-tripleo-heat-templates/environments/network-isolation.yaml  -e /usr/share/openstack-tripleo-heat-templates/environments/net-single-nic-with-vlans.yaml -e /home/stack/network-environment.yaml    -e /usr/share/openstack-tripleo-heat-templates/environments/updates/update-from-vip.yaml 

Latest output after retry:

heat resource-list --nested-depth 5 overcloud | grep FAILED
| 2                                             | 3eb7a88e-eaad-4430-bc2e-9695bf540d5d          | OS::TripleO::Controller                                                         | UPDATE_FAILED   | 2017-06-21T13:51:13 | overcloud-Controller-hhg3ze2hegkh                                                                                                                 |
| 1                                             | 5066c725-9cf2-4af2-98b8-ad1ca98ad68b          | OS::TripleO::Controller                                                         | UPDATE_FAILED   | 2017-06-21T13:51:14 | overcloud-Controller-hhg3ze2hegkh                                                                                                                 |
| UpdateDeployment                              | bd54799f-1109-4cbd-b615-fd243f4a22fc          | OS::Heat::SoftwareDeployment                                                    | UPDATE_FAILED   | 2017-06-21T13:53:40 | overcloud-Controller-hhg3ze2hegkh-2-7h7iho4633t3                                                                                                  |
| Controller                                    | eee5084d-74a0-45c7-8755-53f91b9588ec          | OS::Heat::ResourceGroup                                                         | UPDATE_FAILED   | 2017-06-21T15:07:12 | overcloud                                                                                                                                         |
| 0                                             | 77f455ec-4f2d-47f7-8d32-b3779f01fdc8          | OS::TripleO::Controller                                                         | UPDATE_FAILED   | 2017-06-21T15:07:15 | overcloud-Controller-hhg3ze2hegkh                  

heat deployment-list:

[stack@undercloud ~]$ heat deployment-list
+--------------------------------------+--------------------------------------+--------------------------------------+--------+----------+---------------------+---------------------------------------------------------------------+
| id                                   | config_id                            | server_id                            | action | status   | creation_time       | status_reason                                                       |
+--------------------------------------+--------------------------------------+--------------------------------------+--------+----------+---------------------+---------------------------------------------------------------------+
| 7c625da6-d14f-4ce0-97dc-335a612119ab | 1c9918d8-01b4-4f03-bc0f-eefa1111ea1a | 879b56d7-bb62-4d5d-8c24-c21021a5e6aa | CREATE | COMPLETE | 2017-06-21T13:05:16 | Outputs received                                                    |
| bd54799f-1109-4cbd-b615-fd243f4a22fc | 14134375-6af8-410d-9ef0-b1b64d607f1b | e4f71d53-e222-46f0-a8a8-68ca0e811a71 | UPDATE | FAILED   | 2017-06-21T13:05:20 | deploy_status_code : Deployment exited with non-zero status code: 1 |
| 9732b411-e7ca-4ced-9f06-2f56d6bcf6ae | 69eb442c-84f7-44f5-842c-28e299001df4 | e4f71d53-e222-46f0-a8a8-68ca0e811a71 | CREATE | COMPLETE | 2017-06-21T13:05:30 | Outputs received                                                    |
| c00440d5-e7c0-462b-b8c2-946dedfe47a3 | 35bbd1b7-2780-4a18-90eb-19b8a743e5e2 | 879b56d7-bb62-4d5d-8c24-c21021a5e6aa | CREATE | COMPLETE | 2017-06-21T13:05:31 | Outputs received                                                    |
| 46f61a78-7a5f-480e-9cec-14a800aaaf15 | 70feb533-aaac-48e3-97d0-ea6c114ffce8 | 97203e4e-5260-48d6-a588-62c7244b0237 | UPDATE | COMPLETE | 2017-06-21T13:05:39 | Outputs received                                                    |
| 50365d89-b7df-4fd9-9bd7-567ae8fccb1f | 4ea7c4c4-624f-432e-8541-fe93818c212f | d935b3f9-1d71-4191-a1bb-a3aa65fe736e | CREATE | COMPLETE | 2017-06-21T13:05:47 | Outputs received                                                    |
| c1a823d8-c5a0-415b-8888-1af12ef6343c | f0dd9c4c-6efe-4ded-8066-2a7330576fb2 | 97203e4e-5260-48d6-a588-62c7244b0237 | CREATE | COMPLETE | 2017-06-21T13:05:47 | Outputs received                                                    |
| 12d80152-db1d-4038-8ca1-6e5405626259 | d4da876a-a12b-4336-ad96-44f459baa27c | d935b3f9-1d71-4191-a1bb-a3aa65fe736e | CREATE | COMPLETE | 2017-06-21T13:05:55 | Outputs received                                                    |
| f9eb9736-7fc3-4a51-b29f-959d62bd636d | 1dc2b764-d48f-4cf2-ba0e-7daa75d22b85 | 879b56d7-bb62-4d5d-8c24-c21021a5e6aa | CREATE | COMPLETE | 2017-06-21T13:11:11 | Outputs received                                                    |
| 6747da1c-7055-4903-8ffd-6ab2c7177c0c | c2eb67e0-6085-41a3-bfa7-cf83a1728c37 | 97203e4e-5260-48d6-a588-62c7244b0237 | UPDATE | COMPLETE | 2017-06-21T13:11:13 | Outputs received                                                    |
| 74fd33e7-17f1-4bce-8cf3-a3bb5982b68c | 98467f7e-aa16-47ba-92e8-017d8795f2b2 | e4f71d53-e222-46f0-a8a8-68ca0e811a71 | CREATE | COMPLETE | 2017-06-21T13:11:26 | Outputs received                                                    |
| cf7148e8-7ad6-4aa0-8bca-d6ac27b1d018 | f1226d76-473c-42e3-91b4-b569f17cd7a0 | 97203e4e-5260-48d6-a588-62c7244b0237 | CREATE | COMPLETE | 2017-06-21T13:11:27 | Outputs received                                                    |
| 7217c489-1e79-466e-a883-dc5d4522cb1b | 8c2f2a9b-ae7a-431a-905d-b4b88ca2a603 | d935b3f9-1d71-4191-a1bb-a3aa65fe736e | CREATE | COMPLETE | 2017-06-21T13:11:40 | Outputs received                                                    |
| d671b516-6793-4adc-a275-963a8d9d3b7a | 674a11ac-f983-4131-868d-283c81744974 | 97203e4e-5260-48d6-a588-62c7244b0237 | CREATE | COMPLETE | 2017-06-21T13:11:50 | Outputs received                                                    |
| d032dc99-b0d2-49ec-ae0c-b1d202eef77b | e8a9a14b-4839-4d41-bc37-3288e4fd5214 | d935b3f9-1d71-4191-a1bb-a3aa65fe736e | CREATE | COMPLETE | 2017-06-21T13:12:11 | Outputs received                                                    |
| 70e152c6-bafd-41fa-ac68-d005809bb442 | 29c95189-2a0a-4e7e-a80c-9481e5b2e31b | 879b56d7-bb62-4d5d-8c24-c21021a5e6aa | CREATE | COMPLETE | 2017-06-21T13:12:12 | Outputs received                                                    |
| e700c64c-9cc2-46de-a3ea-dc21a4bbe4c2 | 1151d83d-bf86-471d-acd6-f82ee7e7d1cb | e4f71d53-e222-46f0-a8a8-68ca0e811a71 | CREATE | COMPLETE | 2017-06-21T13:12:12 | Outputs received                                                    |
| 8efc67e7-7759-40ee-b362-2247d28738fb | e83939f4-a67e-4958-96f2-bc250cd37d63 | d935b3f9-1d71-4191-a1bb-a3aa65fe736e | CREATE | COMPLETE | 2017-06-21T13:12:18 | Outputs received                                                    |
| 3d87de04-a81c-422c-a197-e764d5c8cecd | f8134af9-0c7c-4f84-9921-3793243b3292 | 879b56d7-bb62-4d5d-8c24-c21021a5e6aa | CREATE | COMPLETE | 2017-06-21T13:12:19 | Outputs received                                                    |
| 3f564d52-03f8-406a-aeb8-374477942e17 | 9f55c0a9-aa07-4fae-8d74-2e5f9ffb80c2 | e4f71d53-e222-46f0-a8a8-68ca0e811a71 | CREATE | COMPLETE | 2017-06-21T13:12:20 | Outputs received                                                    |
| 62c8719e-ef61-48f1-b0ca-2c62b1287c0c | 5057c1f1-a959-41b0-b7d2-03a6b95d6769 | d935b3f9-1d71-4191-a1bb-a3aa65fe736e | CREATE | COMPLETE | 2017-06-21T13:12:20 | Outputs received                                                    |
| 68d04aea-1f5e-4770-85c3-b2d182ccd765 | 6705f279-db77-43f8-911c-1b71bced6a82 | 879b56d7-bb62-4d5d-8c24-c21021a5e6aa | CREATE | COMPLETE | 2017-06-21T13:12:22 | Outputs received                                                    |
| 2f2ca7cb-d5b8-4983-b405-9e4cf571b523 | 61c0c23e-d05b-4397-abde-40285fc4db3d | e4f71d53-e222-46f0-a8a8-68ca0e811a71 | CREATE | COMPLETE | 2017-06-21T13:12:23 | Outputs received                                                    |
| bef914ce-3a2a-4954-9bcf-e2a5515a8caf | 9646a7fa-7f30-4042-931c-81d6e2da4f31 | d935b3f9-1d71-4191-a1bb-a3aa65fe736e | CREATE | COMPLETE | 2017-06-21T13:12:23 | Outputs received                                                    |
| bff1e3da-b091-45f2-89db-0d487661f660 | ffd24e36-975d-4fb2-8136-5217045a5bd3 | 879b56d7-bb62-4d5d-8c24-c21021a5e6aa | CREATE | COMPLETE | 2017-06-21T13:12:24 | Outputs received                                                    |
| dec3b13e-8d70-42ea-8a48-08bfa3306e59 | 8c58c3b9-16e4-425d-9269-954fee5b3f7f | e4f71d53-e222-46f0-a8a8-68ca0e811a71 | CREATE | COMPLETE | 2017-06-21T13:12:25 | Outputs received                                                    |
| b7457458-be71-4e38-8bbc-76b437c3dcd7 | ff25561f-e6a5-473c-9b29-46ceca15f0c1 | d935b3f9-1d71-4191-a1bb-a3aa65fe736e | CREATE | COMPLETE | 2017-06-21T13:12:28 | Outputs received                                                    |
| ab2e8d88-e2d8-40f1-b99c-d61f7a366409 | ea98f538-20da-4b78-b1aa-88472fbab369 | 879b56d7-bb62-4d5d-8c24-c21021a5e6aa | CREATE | COMPLETE | 2017-06-21T13:12:29 | Outputs received                                                    |
| 50ac6fcc-96eb-4319-a52f-ba21320b85ab | 6f8f7f4b-1b9e-475e-ac7b-25f886a3b69a | e4f71d53-e222-46f0-a8a8-68ca0e811a71 | CREATE | COMPLETE | 2017-06-21T13:12:30 | Outputs received                                                    |
| 16f107e5-e474-49fc-add5-aae3620b460e | 9e374431-acfb-4652-ac74-a23144728e15 | d935b3f9-1d71-4191-a1bb-a3aa65fe736e | CREATE | COMPLETE | 2017-06-21T13:12:32 | Outputs received                                                    |
| 3b1e219f-b9d5-44af-a951-27a1b08b9e2d | 8b09fc9f-8784-45c1-af81-92549048537a | 879b56d7-bb62-4d5d-8c24-c21021a5e6aa | CREATE | COMPLETE | 2017-06-21T13:12:32 | Outputs received                                                    |
| a3499791-ee99-4168-aab6-b8e80f9ea2ff | b97ddf2a-a992-4472-a6ab-0e9a9bbbda6e | e4f71d53-e222-46f0-a8a8-68ca0e811a71 | CREATE | COMPLETE | 2017-06-21T13:12:33 | Outputs received                                                    |
| 95487ac7-4530-40ff-ae05-07e5863b033e | 9258ca27-9ebc-474d-90b5-ae394944f71a | 97203e4e-5260-48d6-a588-62c7244b0237 | CREATE | COMPLETE | 2017-06-21T13:12:34 | Outputs received                                                    |
| 51a78e05-722c-48d6-8d47-f6a261d9ec62 | 64e214c9-e08c-416e-99cc-d9e4d0040216 | 97203e4e-5260-48d6-a588-62c7244b0237 | CREATE | COMPLETE | 2017-06-21T13:12:39 | Outputs received                                                    |
| e4680c53-3f94-48e1-a79b-c546dd747eff | 7c73e76a-4b50-45f5-9556-7c280b9e45fd | 97203e4e-5260-48d6-a588-62c7244b0237 | CREATE | COMPLETE | 2017-06-21T13:12:59 | Outputs received                                                    |
| 77ec4794-27cc-42ad-97d1-6400d542f38f | 20cea232-980b-4195-ac8a-124749ee0ecf | d935b3f9-1d71-4191-a1bb-a3aa65fe736e | CREATE | COMPLETE | 2017-06-21T13:13:14 | Outputs received                                                    |
| 2f6c608a-1e07-4d9e-9f88-984a255f9fc7 | 0dd76c85-eb15-433a-b084-23bb7c44f458 | 879b56d7-bb62-4d5d-8c24-c21021a5e6aa | CREATE | COMPLETE | 2017-06-21T13:13:15 | Outputs received                                                    |
| b39353f1-f00d-4297-87bd-a9d6a5c8f93e | 5353ca01-0c95-4ff1-a41a-247fe7f7546a | e4f71d53-e222-46f0-a8a8-68ca0e811a71 | CREATE | COMPLETE | 2017-06-21T13:13:15 | Outputs received                                                    |
| c33017f5-0b6d-4444-91bd-808d2fe5985e | 248f03ba-059f-4ba2-b4de-cb2185d4c355 | 97203e4e-5260-48d6-a588-62c7244b0237 | CREATE | COMPLETE | 2017-06-21T13:13:58 | Outputs received                                                    |
| 03c7b199-b1a2-42ba-abcd-ade2e9aa823e | 08a86f1b-a15a-4198-9927-79f12a0126fe | d935b3f9-1d71-4191-a1bb-a3aa65fe736e | CREATE | COMPLETE | 2017-06-21T13:14:00 | Outputs received                                                    |
| cbc16059-a2bc-482f-81ef-529174e6550b | 37f283bd-5fa0-48ac-b5ff-05bb8f7cb07f | d935b3f9-1d71-4191-a1bb-a3aa65fe736e | CREATE | COMPLETE | 2017-06-21T13:14:01 | Outputs received                                                    |
| e494aab6-d671-40c2-ab57-8ea010b6e0dc | 64a9556f-9442-4824-ada3-a943b5f82c91 | 879b56d7-bb62-4d5d-8c24-c21021a5e6aa | CREATE | COMPLETE | 2017-06-21T13:14:01 | Outputs received                                                    |
| 3e865dcb-be56-4ebf-987e-8afb3a852f70 | aa9c5196-18fd-4889-859a-b9b32fff3841 | 879b56d7-bb62-4d5d-8c24-c21021a5e6aa | CREATE | COMPLETE | 2017-06-21T13:14:02 | Outputs received                                                    |
| 4023de91-9cbc-43d5-bfe9-485ce2af8860 | 661cebe0-06e6-485e-ba3d-c4f971fe6b48 | e4f71d53-e222-46f0-a8a8-68ca0e811a71 | CREATE | COMPLETE | 2017-06-21T13:14:02 | Outputs received                                                    |
| 112c4e1b-a26d-4825-88ea-3b44a15a2771 | d9a01828-7e5c-493e-a3f9-c3037fd22425 | e4f71d53-e222-46f0-a8a8-68ca0e811a71 | CREATE | COMPLETE | 2017-06-21T13:14:03 | Outputs received                                                    |
| 9ab99883-d81d-4420-b41b-c4e16a3541c3 | feee4129-827d-4e98-9ddf-330c81384bed | d935b3f9-1d71-4191-a1bb-a3aa65fe736e | CREATE | COMPLETE | 2017-06-21T13:14:40 | Outputs received                                                    |
| f9bb82c7-18a7-46f6-821c-c20d6e6d872c | a2986d4c-d0ec-47e4-8fc9-8c458be6cf3c | 879b56d7-bb62-4d5d-8c24-c21021a5e6aa | CREATE | COMPLETE | 2017-06-21T13:14:41 | Outputs received                                                    |
| cc4be5e8-2ac1-4c11-a5b3-1a561009c579 | 84f0f669-d11b-45af-9fa8-580d9bf15cf4 | e4f71d53-e222-46f0-a8a8-68ca0e811a71 | CREATE | COMPLETE | 2017-06-21T13:14:42 | Outputs received                                                    |
| 236090d4-7f87-470c-830e-d912fcb8a0d6 | 9bb91a50-25f8-4ee7-9be0-b81281a7abf5 | 97203e4e-5260-48d6-a588-62c7244b0237 | CREATE | COMPLETE | 2017-06-21T13:14:43 | Outputs received                                                    |
| a2f28afd-aa4c-419d-b7bf-32bff3be7926 | 3c9f3afd-4d53-4181-9e1a-278afefb04aa | d935b3f9-1d71-4191-a1bb-a3aa65fe736e | CREATE | COMPLETE | 2017-06-21T13:16:19 | Outputs received                                                    |
| 3896ac9a-b542-416c-a922-337636ad3980 | 2c56e017-b535-4d78-9d13-2b93be403dba | 879b56d7-bb62-4d5d-8c24-c21021a5e6aa | CREATE | COMPLETE | 2017-06-21T13:16:21 | Outputs received                                                    |
| fb8009ff-cb2a-46f6-8b2a-c85a5c50957d | ae2c2e88-f202-4373-85ad-e037c209d948 | e4f71d53-e222-46f0-a8a8-68ca0e811a71 | CREATE | COMPLETE | 2017-06-21T13:16:22 | Outputs received                                                    |
| fe84847b-5b6f-4915-8ba3-14fbc142cc44 | a0f5e7ed-00ce-4e7d-ab22-71c627260766 | d935b3f9-1d71-4191-a1bb-a3aa65fe736e | CREATE | COMPLETE | 2017-06-21T13:18:57 | Outputs received                                                    |
| 25e69a27-2b8c-4242-81b1-9b06adb9c24f | e9e35109-7d34-440e-9101-e053edaca23e | 879b56d7-bb62-4d5d-8c24-c21021a5e6aa | CREATE | COMPLETE | 2017-06-21T13:18:58 | Outputs received                                                    |
| bcbc05aa-2938-4731-aabd-46f2f21b29f6 | 6529e13d-395f-49eb-94fb-0dcd6777d3b8 | e4f71d53-e222-46f0-a8a8-68ca0e811a71 | CREATE | COMPLETE | 2017-06-21T13:19:00 | Outputs received                                                    |
| 990ab391-a3ef-45d8-9662-e25ae690f2b1 | e339a448-d61d-4f24-b0e7-4163c6fd09a6 | d935b3f9-1d71-4191-a1bb-a3aa65fe736e | CREATE | COMPLETE | 2017-06-21T13:19:42 | Outputs received                                                    |
| 1a1547cb-4089-4636-8521-e899262af6e0 | 6a507dc8-9849-4c63-b82b-446a76844083 | 879b56d7-bb62-4d5d-8c24-c21021a5e6aa | CREATE | COMPLETE | 2017-06-21T13:19:43 | Outputs received                                                    |
| 9023cd34-7db8-4eae-ab30-1b9aae5f968f | f45eae2f-6f9f-4ec3-9467-c0be22513374 | e4f71d53-e222-46f0-a8a8-68ca0e811a71 | CREATE | COMPLETE | 2017-06-21T13:19:44 | Outputs received                                                    |
| 9c84587d-ca90-45f6-9283-4e08573c3649 | 7f0e68aa-8898-417e-b027-ebd0dfe7f7ec | d935b3f9-1d71-4191-a1bb-a3aa65fe736e | CREATE | COMPLETE | 2017-06-21T13:23:28 | Outputs received                                                    |
| 88178064-95a3-4829-a1c9-0b104a466a60 | 4f75873b-ee56-4178-b9f3-6b11408fa396 | 879b56d7-bb62-4d5d-8c24-c21021a5e6aa | CREATE | COMPLETE | 2017-06-21T13:23:29 | Outputs received                                                    |
| ce18a1b3-d7e4-4041-97c7-ddc75b5219cc | df4de46f-dccf-4423-873d-3f95d6faff70 | e4f71d53-e222-46f0-a8a8-68ca0e811a71 | CREATE | COMPLETE | 2017-06-21T13:23:30 | Outputs received                                                    |
| 6b687f45-bf32-4265-a1f3-269e5215b522 | 34905a10-a269-449b-b085-8792abbe337b | d935b3f9-1d71-4191-a1bb-a3aa65fe736e | CREATE | COMPLETE | 2017-06-21T13:26:13 | Outputs received                                                    |
| 9aa51f88-520f-4c78-90f9-7ab20ea726fd | f4bc8d2d-ed1b-4f7a-a7e4-4755abe24620 | 879b56d7-bb62-4d5d-8c24-c21021a5e6aa | CREATE | COMPLETE | 2017-06-21T13:26:14 | Outputs received                                                    |
| 5d71359c-d70b-4428-99a9-b078c63ec552 | 6e4a8e00-9b92-4a1e-b808-4fa7d1655b44 | e4f71d53-e222-46f0-a8a8-68ca0e811a71 | CREATE | COMPLETE | 2017-06-21T13:26:15 | Outputs received                                                    |
| ac288617-53d9-48f2-bfde-8e7e79c0d174 | 5d14af07-9200-4b33-95b0-c0704e138496 | d935b3f9-1d71-4191-a1bb-a3aa65fe736e | CREATE | COMPLETE | 2017-06-21T13:28:32 | Outputs received                                                    |
| 1d4790f6-fe7c-4e9c-9e45-04ffb7a22d69 | 30daf280-158c-4502-8717-150bbe75162f | 879b56d7-bb62-4d5d-8c24-c21021a5e6aa | CREATE | COMPLETE | 2017-06-21T13:28:33 | Outputs received                                                    |
| 15323abd-3ccd-4548-a0e5-30237860207e | 8316a1b5-aebf-4255-b37c-3c124605b7ac | e4f71d53-e222-46f0-a8a8-68ca0e811a71 | CREATE | COMPLETE | 2017-06-21T13:28:34 | Outputs received                                                    |
| b1765a8a-0e41-4128-b4f1-72ec1f41f92b | a3a95b1b-246b-46f4-b7a7-0e19335b3ee9 | d935b3f9-1d71-4191-a1bb-a3aa65fe736e | CREATE | COMPLETE | 2017-06-21T13:29:20 | Outputs received                                                    |
| c558c8e0-1f90-4e34-a459-d0fa986ff3f5 | b767270a-37f3-4ff0-901a-ad4df035427d | e4f71d53-e222-46f0-a8a8-68ca0e811a71 | CREATE | COMPLETE | 2017-06-21T13:29:22 | Outputs received                                                    |
| d51c0679-4196-48de-93e4-3daaeaa540e4 | 1cd1202b-271e-44ac-9cdf-8808279cd8b2 | 879b56d7-bb62-4d5d-8c24-c21021a5e6aa | CREATE | COMPLETE | 2017-06-21T13:29:22 | Outputs received                                                    |
+--------------------------------------+--------------------------------------+--------------------------------------+--------+----------+---------------------+---------------------------------------------------------------------+

All the resources and deployments are older than the date where i did the heat update, seems that is not even try to retry the commands.
Comment 1 Lukas Bezdicka 2017-06-22 09:34:10 EDT
heat resource-list overcloud -n5 | grep -v COMPLETE please
Comment 2 Red Hat Bugzilla Rules Engine 2017-06-23 06:22:40 EDT
This bugzilla has been removed from the release and needs to be reviewed and Triaged for another Target Release.
Comment 3 Sofer Athlan-Guyot 2017-06-26 09:16:30 EDT
hi,

do you still the undercloud.  We may have the solution for this one, but we need the output of the command in comment 1.

Thanks,
Comment 4 Yolanda Robla 2017-06-28 16:00:36 EDT
Not the same environment, but i was hitting a similar problem in a failure to major OSP. That's the output i get:

 heat resource-list overcloud -n5 | grep -v COMPLETE
WARNING (shell) "heat resource-list" is deprecated, please use "openstack stack resource list" instead
+-------------------------------------------+-----------------------------------------------+---------------------------------------------------+-----------------+---------------------+-----------------------------------------------------------------------------------+
| resource_name                             | physical_resource_id                          | resource_type                                     | resource_status | updated_time        | stack_name                                                                        |
+-------------------------------------------+-----------------------------------------------+---------------------------------------------------+-----------------+---------------------+-----------------------------------------------------------------------------------+
| UpdateWorkflow                            | 65bb1895-6fe7-4795-ade9-9bb9dfcd19b8          | OS::TripleO::Tasks::UpdateWorkflow                | UPDATE_FAILED   | 2017-06-28T15:53:50 | overcloud                                                                         |
| AodhUpgradeConfigDeployment               | b3b714fb-c8af-4228-9d59-e173555a4c4b          | OS::Heat::SoftwareDeploymentGroup                 | UPDATE_FAILED   | 2017-06-28T15:54:05 | overcloud-UpdateWorkflow-ab4lxoqxgxn5                                             |
| 2                                         | 1ee861d4-4572-4ea4-b8f0-38b94f7f7e57          | OS::Heat::SoftwareDeployment                      | CREATE_FAILED   | 2017-06-28T15:54:07 | overcloud-UpdateWorkflow-ab4lxoqxgxn5-AodhUpgradeConfigDeployment-vtamhovvcy4k    |
+-------------------------------------------+-----------------------------------------------+---------------------------------------------------+-----------------+---------------------+-----------------------------------------------------------------------------------+

Note You need to log in before you can comment on or make changes to this bug.